# `haskell-nix.cabalProject` bug minimal repro

1. Clone this repo.
2. Run `nix build -f . dummy-app.components.exes.dummy-app`.

Expected output:

```
trace: Using latest index state!
trace: Using index-state: 2019-12-14T00:00:00Z
builder for '/nix/store/g5023y5h06iy1bj076zzaaza0v8c80w3-plan-to-nix-pkgs.drv' failed with exit code 128; last 2 log lines:
  Cloning into '/build/tmp.UZdw0uapal/dist-newstyle/src/canonical_-1f90751276f12f5a'...
  fatal: unable to access 'http://github.com/well-typed/canonical-json/': Could not resolve host: github.com
[1 built (1 failed), 0.0 MiB DL]
error: build of '/nix/store/g5023y5h06iy1bj076zzaaza0v8c80w3-plan-to-nix-pkgs.
```

Out of curiosity, I tried to disable the sandbox to see whether the build would succeed without it:

```
nix build -f . dummy-app.components.exes.dummy-app --option sandbox false
trace: Using latest index state!
trace: Using index-state: 2019-12-14T00:00:00Z
builder for '/nix/store/g5023y5h06iy1bj076zzaaza0v8c80w3-plan-to-nix-pkgs.drv' failed with exit code 128; last 9 log lines:
  Cloning into '/tmp/nix-build-plan-to-nix-pkgs.drv-0/tmp.GquFxkVGQR/dist-newstyle/src/canonical_-1f90751276f12f5a'...
  warning: redirecting to https://github.com/well-typed/canonical-json/
  remote: Enumerating objects: 4, done.
  remote: Counting objects: 100% (4/4), done.
  remote: Compressing objects: 100% (4/4), done.
  remote: Total 130 (delta 0), reused 1 (delta 0), pack-reused 126
  Receiving objects: 100% (130/130), 582.22 KiB | 1.43 MiB/s, done.
  Resolving deltas: 100% (51/51), done.
  fatal: invalid reference: ddfe3593b80b5ceb88842bb7a6f2268df75d2c2fpackages:
[0 built (1 failed)]
error: build of '/nix/store/g5023y5h06iy1bj076zzaaza0v8c80w3-plan-to-nix-pkgs.drv' failed
(use '--show-trace' to show detailed location information)
```

Seems like something else is wrong here.
